Create An Email Sender
curl --request POST \
--url http://api.stuut.ai/v1/email-senders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authorization_code": "<string>",
"redirect_uri": "<string>"
}
'import requests
url = "http://api.stuut.ai/v1/email-senders"
payload = {
"authorization_code": "<string>",
"redirect_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({authorization_code: '<string>', redirect_uri: '<string>'})
};
fetch('http://api.stuut.ai/v1/email-senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"object": "<string>",
"reply_to": "<string>",
"user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"is_nylas_connection": true,
"is_nylas_grant_expired": true,
"is_shared": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"reply_to_name": "<string>",
"signature_html": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Email Senders
Create An Email Sender
POST
/
v1
/
email-senders
Create An Email Sender
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
The account's email.
Maximum string length:
255This account's default reply-to
Maximum string length:
255Maximum string length:
32Maximum string length:
32The time the email sender grant expired.
Whether the Nylas grant for this email sender has expired
Whether this email sender should be shared with the entire organization
Email owner's name.
This account's default reply-to
Email signature html.
⌘I
